Invalid Swift Support - The files aren’t at the expected location

GuhtsuGuhtsu Member

Hello

I'm trying to upload my app, developed using Xamarin (Visual Studio for Mac 7.5.2, XCode 9.2) and i'm using this script ipa-packager (can't post the link, sorry, but you can find it at github) to deal with the SwiftSupport issue.

However, when i create the new IPA file and upload to the appstore connect i got the following error:

Invalid Swift Support - The files libswiftDarwin.dylib, libswiftDispatch.dylib, libswiftCoreGraphics.dylib, libswiftUIKit.dylib, libswiftContacts.dylib, libswiftCore.dylib, libswiftFoundation.dylib, libswiftObjectiveC.dylib, libswiftCoreImage.dylib aren’t at the expected location /Payload/MyApp.app/Frameworks. Move the file to the expected location, rebuild your app using the current public (GM) version of Xcode, and resubmit it.

We are out of options and we need to fix this ASAP, does anyone know what to do?

Thanks for helping and best regards.

Answers

  • JGoldbergerJGoldberger USMember, Forum Administrator, Xamarin Team, University Xamurai

    @Guhtsu

    You are not making an app with swift, so why do you need to repackage with ipa-packager? Also this issue would seem to be best brought up on that github repository for ipa-packager as that is not a Xamarin product.

    In addition, XCode 9.4.1 was the current Xcode version when you posted this issue. Did you try updating XCode and rebuilding as the error message suggests?

  • VolodymyrSavchenkoVolodymyrSavchenko UAMember ✭✭✭

    @JGoldberger said:
    @Guhtsu

    You are not making an app with swift, so why do you need to repackage with ipa-packager? Also this issue would seem to be best brought up on that github repository for ipa-packager as that is not a Xamarin product.

    In addition, XCode 9.4.1 was the current Xcode version when you posted this issue. Did you try updating XCode and rebuilding as the error message suggests?

    I'm facing similar issue. I've included .dylib in my iOS project and now i can't pass to AppStore. I always get one of 2 errors:

    Invalid Swift Support - The SwiftSupport folder is missing. Rebuild your app using the current public (GM) version of Xcode and resubmit it.

    or:

    Invalid Swift Support - The file libDynamicLib_Release.dylib doesn’t have a signing ID. Sign the file, rebuild your app using the current public (GM) version of Xcode, and resubmit it.

    How can i deal with it? Library has written with objective-c only. Project uses Xamarin.Forms and is cross-platform(iOS + Android).

  • mansi1209mansi1209 Member ✭✭

    Facing the invalid swift support error. Waiting for solutions

  • JGoldbergerJGoldberger USMember, Forum Administrator, Xamarin Team, University Xamurai
    edited August 2018

    @Guhtsu @Mansi1209
    I PM'd you both.

Sign In or Register to comment.